Status: Resolved Priority: Must have
Author: Christian Müller Category: Security
Created: 2012-05-11 Assigned To: Christian Müller
Updated: 2012-05-16 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: Using the Everybody Role in an ACL will result in dropped ACLs
Description

PolicyService is reusing data for the same resource, unfortunately it can happen that this data is not the expected and so the resulting
acls are not the ones configured.

Associated revisions
Revision a617bd03 - 2012-05-15 14:38 - Christian Müller

[BUGFIX] PolicyService could drop ACLs for overlapping resources

The PolicyService has to properly reuse all data gathered from
parsing the method resources, the traces were dropped for
different roles and so something wrong would be reused.

Change-Id: I4017e030ee2a1351a099006da65d5828b165f967
Fixes: #37105
Releases: 1.1

History
#1 - 2012-05-11 17:24 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11147

#2 - 2012-05-15 12:42 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11147

#3 - 2012-05-15 14:39 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11147
#4 - 2012-05-16 02:38 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a617bd03d06cd434151117e828b60f6ed25dbc38.
